# Uses of Class
org.eclipse.mat.parser.internal.oql.parser.SimpleCharStream

Packages that use SimpleCharStream
Package
Description
org.eclipse.mat.parser.internal.oql.parser
Object Query Language (OQL) parser (not API).

## Uses of SimpleCharStream in org.eclipse.mat.parser.internal.oql.parser

Methods in org.eclipse.mat.parser.internal.oql.parser with parameters of type SimpleCharStream
Modifier and Type
Method
Description
`void`
OQLParserTokenManager.`ReInit(SimpleCharStream stream)`
Reinitialise parser.
`void`
OQLParserTokenManager.`ReInit(SimpleCharStream stream, int lexState)`
Reinitialise parser.
Constructors in org.eclipse.mat.parser.internal.oql.parser with parameters of type SimpleCharStream
Modifier
Constructor
Description
``
`OQLParserTokenManager(SimpleCharStream stream)`
Constructor.
``
`OQLParserTokenManager(SimpleCharStream stream, int lexState)`
Constructor.